server:
  port: 9090
  tomcat:
    max-threads: 400
    min-spare-threads: 50
  servlet:
    session:
      timeout: 60m

spring.http.encoding:
  force: true
  force-request: true
  force-response: true
  
server.tomcat.uri-encoding: UTF-8
hashed.key: \u006e\u006f\u006f\u0072\u0069\u006a\u0061\u0032\u0030\u0032\u0031\u0021\u0040

spring:
  application:
    name: noorikiosk-api
  profiles:
    active: qa
  devtools:
    livereload:
      enabled: true
  jwt:
    secret: noorija2021!@
  datasource:
    hikari:
      jdbc-url: jdbc:log4jdbc:mariadb://192.168.0.227:3308/noorikioskqa?allowMultiQueries=true&characterEncoding=utf-8&verifyServerCertificate=true&useSSL=false&requireSSL=false
      username: nooriKiosk
      password: snflWkd29!
      driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
      maximum-pool-size: 10
      max-lifetime: 30
  cache:
    type: redis
  redis:
    port: 6379
    host: 192.168.0.6
    password: qwer1234
    lettuce:
      pool:
        max-active: 10
        max-idle: 10
        min-idle: 2
  session:
    store-type: redis
    redis:
      flush-mode: IMMEDIATE
      namespace: spring:noorikiosk-api-session

resttemplate:
  max-connection: 400
  max-route: 20
  request-timeout: 10000
  connect-timeout: 10000
  socket-timeout: 30000
  connect-keep-alive: 20000

ftp:
  path: /web/upload/
  host: 192.168.0.227
  port: 2021
  user: upload
  pass: NooUp22!
  domain: http://106.246.249.162:15002/

file:
  upload:
    path: D:/dev/upload
    folder: noorikiosk
  domain:
    url: http://106.246.249.162:15002/
    
logging:
  config: classpath:logback-spring.xml
  file: ${spring.application.name}

log:
  path: D:/dev/logs/noorikiosk

kicc:
  javascript_url: http://testsp.easypay.co.kr/webpay/EasypayCard_Web.js
  action:
    web_url: https://testpg.easypay.co.kr/webpay/MainAction.do
    mobile_url: https://testsp.easypay.co.kr/ep8/MainAction.do
  gateway: testgw.easypay.co.kr
  cert_dir: /home/noorija/apps/oqpo/kicc/easypay/cert
  log_dir: /home/noorija/apps/oqpo/kicc/easypay/logs
  test_mall_tid: T0010761